// Copyright (C) 2006, Ondra Kamenik

// $Id: parser_exception.h 42 2007-01-22 21:53:24Z ondra $

#ifndef OG_FORMULA_PARSER_H
#define OG_FORMULA_PARSER_H

#include <string>

namespace ogp {
	using std::string;

	class ParserException {
	protected:
		char* mes;
		int off;
	public:
		ParserException(const char* m, int offset);
		ParserException(const string& m, int offset);
		ParserException(const ParserException& e, int plus_offset);
		ParserException(const ParserException& e);
		virtual ~ParserException();
		void print(FILE* fd) const;
		const char* message() const
			{return mes;}
		int offset() const
			{return off;}
	protected:
		void copy(const ParserException& e);
	};
};

#endif

// Local Variables:
// mode:C++
// End:
